commit:     683ba92cd683c98b803b8cb34030046a5a8e45cb
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sun Jan 31 21:10:28 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jan 31 21:10:28 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=683ba92c

sci-mathematics/nestedsums: Drop USE=static-libs

Closes: https://github.com/gentoo/gentoo/pull/19281
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../nestedsums/nestedsums-1.5.2-r1.ebuild          | 31 +++++++++-------------
 1 file changed, 12 insertions(+), 19 deletions(-)

diff --git a/sci-mathematics/nestedsums/nestedsums-1.5.2-r1.ebuild 
b/sci-mathematics/nestedsums/nestedsums-1.5.2-r1.ebuild
index 99a09d617d4..862b5e97fa2 100644
--- a/sci-mathematics/nestedsums/nestedsums-1.5.2-r1.ebuild
+++ b/sci-mathematics/nestedsums/nestedsums-1.5.2-r1.ebuild
@@ -1,24 +1,26 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-inherit multilib flag-o-matic
+inherit flag-o-matic
 
 DESCRIPTION="A GiNaC-based library for symbolic expansion of certain 
transcendental functions"
 HOMEPAGE="https://particlephysics.uni-mainz.de/weinzierl/nestedsums/";
-IUSE="doc static-libs"
 SRC_URI="http://particlephysics.uni-mainz.de/weinzierl/download/${P}.tar.gz";
+
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-RDEPEND=">=sci-mathematics/ginac-1.7[static-libs=]"
-DEPEND="${RDEPEND}
-       doc? ( app-doc/doxygen )"
+IUSE="doc"
+
+RDEPEND=">=sci-mathematics/ginac-1.7"
+DEPEND="${RDEPEND}"
+BDEPEND="doc? ( app-doc/doxygen )"
 
 src_configure() {
        append-cxxflags -std=c++14
-       econf $(use_enable static-libs static)
+       econf --disable-static
 }
 
 src_compile() {
@@ -26,20 +28,11 @@ src_compile() {
 
        if use doc; then
                doxygen Doxyfile || die "generating documentation failed"
+               HTML_DOCS=( reference/html/. )
        fi
 }
 
-src_test() {
-       emake check
-}
-
 src_install() {
-       emake DESTDIR="${D}" install
-       rm "${D}"/usr/$(get_libdir)/lib${PN}.la || die "cannot rm lib${PN}.la"
-       dodoc AUTHORS ChangeLog
-
-       if use doc; then
-               docinto html
-               dodoc -r reference/html/.
-       fi
+       default
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to